Bug 146033 - x11/gnome-applets: cpufreq-applet memory leak [PATCH]
Summary: x11/gnome-applets: cpufreq-applet memory leak [PATCH]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-25 07:30 UTC by Bryan Venteicher
Modified: 2010-05-13 20:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.37 KB, patch)
2010-04-25 07:30 UTC, Bryan Venteicher
no flags Details | Diff
cpufreq.diff (1.37 KB, patch)
2010-05-03 03:45 UTC, Bryan Venteicher
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Venteicher 2010-04-25 07:30:02 UTC
The FreeBSD patch for cpufreq-applet in x11/gnome-applets introduces a couple of of memory leaks.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-04-25 09:22:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Fix synopsis and assign.
Comment 2 Jeremy Messenger freebsd_committer 2010-04-28 03:52:32 UTC
State Changed
From-To: open->feedback

Please resend patch, but actually attach in the email this time. Look at 
here: http://www.freebsd.org/cgi/query-pr.cgi?pr=146033 As you can see, it 
is impossible for us to copy and paste or download the attach from the PR.
Comment 3 Bryan Venteicher 2010-05-03 03:45:11 UTC

----- Original Message -----
From: mezz@FreeBSD.org
To: bryanv@daemoninthecloset.org, mezz@FreeBSD.org, gnome@FreeBSD.org
Sent: Tuesday, April 27, 2010 9:52:50 PM
Subject: Re: ports/146033: x11/gnome-applets: cpufreq-applet memory leak [PATCH]

Synopsis: x11/gnome-applets: cpufreq-applet memory leak [PATCH]

State-Changed-From-To: open->feedback
State-Changed-By: mezz
State-Changed-When: Wed Apr 28 02:52:32 UTC 2010
State-Changed-Why: Please resend patch, but actually attach in the email
this time. Look at
here: http://www.freebsd.org/cgi/query-pr.cgi?pr=146033 As you can see,
it is impossible for us to copy and paste or download the attach from
the PR.

http://www.freebsd.org/cgi/query-pr.cgi?pr=146033
Comment 4 dfilter service freebsd_committer 2010-05-13 20:43:13 UTC
kwm         2010-05-13 19:43:05 UTC

  FreeBSD ports repository

  Modified files:
    x11/gnome-applets    Makefile 
    x11/gnome-applets/files patch-cpufreq-freebsd 
  Log:
  Fix some memory leaks in the cpufreq applet.
  
  PR:             ports/146033
  Submitted by:   Bryan Venteicher <bryanv@daemoninthecloset.org>
  
  Revision  Changes    Path
  1.129     +1 -0      ports/x11/gnome-applets/Makefile
  1.7       +11 -3     ports/x11/gnome-applets/files/patch-cpufreq-freebsd
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Koop Mast freebsd_committer 2010-05-13 20:43:29 UTC
State Changed
From-To: feedback->closed

Committed, thanks! 

However please attach patches in the future instead of inline.